​

Retrieve audit log events

GET
https://example.kaiten.ru/api/latest/audit-logs

Get audit log events for the current company. Use an API token of a user who has access to the administrative section "Audit log" for the current company. Events are ordered by creation time from newest to oldest.

Query
NameTypeConstraintsDescription
fromstringReturn events created at or after this date-time. Format: ISO 8601.

Example: 2026-04-01T00:00:00.000Z

tostringReturn events created at or before this date-time. Format: ISO 8601.

Example: 2026-04-30T23:59:59.999Z

author_idintegerFilter events by author user id.

Example: 123

author_uidstringFilter events by author user uid.

Example: 27ca9e9f-d4fc-47dd-9d4b-35c7b6e3d105

categoriesstringapp auth user_profile user_management group_management service_desk publication import company_profileComma-separated audit log categories.

Example: auth,user_management

actionsstringstart stop sign_in sign_in_fail sign_out request_auth_pin change_password request_change_email change_email invite invite_fail deactivate activate change_permissions change_apps_permissions grant_access revoke_access transfer_ownership depersonalization create delete group_activate group_deactivate add_user add_admin admin_add_user delete_user admin_delete_user delete_admin set_sd_password change_temporary_sd_password publish_document publish_document_group publish_card unpublish_document unpublish_document_group unpublish_card share_entity unshare_entity public_link extend_trialComma-separated audit log actions.

Example: sign_in_fail,change_permissions

idstringFilter by audit log event id.

Example: 8f977f36-0f13-4b5f-91ab-0df9d15c7ed8

limitintegerDefault: 100 Max: 500Maximum number of audit log events to return. If limit is greater than 500, the API applies 500. If limit is 0, the API applies the default value.

Example: 100

offsetintegerDefault: 0Number of audit log events to skip. To read the next page, repeat the request with the same filters and increase offset by the number of events requested.
Responses

200
DescriptionResponse typeExample
SuccessArray
Open
Response Attributes
NameTypeDescription
id

string

Audit log event id.
app_name

null | string

Application name that created the event.
company_uid

null | string

Company uid. For this endpoint, events belong to the current company.
author_id

null | integer

Author user id.
author_uid

null | string

Author user uid.
author_username

null | string

Author username stored at event creation time.
author_remote_address

null | string

Author IP address stored at event creation time.
author

null | object

Current user data for the event author, when available. The stored author_* fields should be used when the user was deleted or changed after the event.
category

string

Audit log event category.
action

string

Audit log event action.
message

string

Human-readable audit log message.
details

null | object

Additional event details. The object shape depends on category and action.
created

string

Event creation date-time in ISO 8601 format.
400
DescriptionResponse typeExample
Invalid query parameter, unknown category, or unknown action.Response body does not exist

A schema has not been defined for this response code.

401
DescriptionResponse typeExample
Authentication is required.Response body does not exist

A schema has not been defined for this response code.

403
DescriptionResponse typeExample
The user does not have access to the audit log administrative section.Response body does not exist

A schema has not been defined for this response code.

logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.ru
  1  curl --request GET \
  2       --url 'https://example.kaiten.ru/api/latest/audit-logs' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!